org.jboss.netty.handler.codec.http.websocketx

## Class WebSocket13FrameDecoder

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - org.jboss.netty.handler.codec.frame.FrameDecoder
    - - org.jboss.netty.handler.codec.replay.ReplayingDecoder<WebSocket08FrameDecoder.State>
      - - org.jboss.netty.handler.codec.http.websocketx.WebSocket08FrameDecoder
        - - org.jboss.netty.handler.codec.http.websocketx.WebSocket13FrameDecoder

All Implemented Interfaces:
  ChannelHandler, ChannelUpstreamHandler, LifeCycleAwareChannelHandler

    public class WebSocket13FrameDecoder
    extends WebSocket08FrameDecoder

Decodes a web socket frame from wire protocol version 13 format. V13 is essentially the same as V8.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.netty.handler.codec.http.websocketx.WebSocket08FrameDecoder

`WebSocket08FrameDecoder.State`

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`ChannelHandler.Sharable`

### Field Summary

### Fields inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

`cumulation, DEFAULT_MAX_COMPOSITEBUFFER_COMPONENTS`

### Constructor Summary

Constructors
Constructor and Description
`WebSocket13FrameDecoder(boolean maskedPayload, boolean allowExtensions)` Constructor with default values
`WebSocket13FrameDecoder(boolean maskedPayload, boolean allowExtensions, long maxFramePayloadLength)` Constructor

### Method Summary

### Methods inherited from class org.jboss.netty.handler.codec.http.websocketx.WebSocket08FrameDecoder

`checkCloseFrameBody, decode`

### Methods inherited from class org.jboss.netty.handler.codec.replay.ReplayingDecoder

`checkpoint, checkpoint, cleanup, decode, decodeLast, decodeLast, getState, internalBuffer, messageReceived, setState`

### Methods inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

`actualReadableBytes, afterAdd, afterRemove, appendToCumulation, beforeAdd, beforeRemove, channelClosed, channelDisconnected, exceptionCaught, getMaxCumulationBufferCapacity, getMaxCumulationBufferComponents, isUnfold, newCumulationBuffer, replace, setMaxCumulationBufferCapacity, setMaxCumulationBufferComponents, setUnfold, unfoldAndFireMessageReceived, updateCumulation`

### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

`channelBound, channelConnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocket13FrameDecoder

    public WebSocket13FrameDecoder(boolean maskedPayload,
                           boolean allowExtensions)

Constructor with default values

Parameters:
  `maskedPayload` - Web socket servers must set this to true processed incoming masked payload. Client implementations must set this to false.
  `allowExtensions` - Flag to allow reserved extension bits to be used or not

#### WebSocket13FrameDecoder

    public WebSocket13FrameDecoder(boolean maskedPayload,
                           boolean allowExtensions,
                           long maxFramePayloadLength)

Constructor

Parameters:
  `maskedPayload` - Web socket servers must set this to true processed incoming masked payload. Client implementations must set this to false.
  `allowExtensions` - Flag to allow reserved extension bits to be used or not
  `maxFramePayloadLength` - Maximum length of a frame's payload. Setting this to an appropriate value for you application helps check for denial of services attacks.